locals {
  default_ci_variables = {
    for key, var in var.ci_variables : key => merge(
      {
        description       = lookup(var, "description", ""),
        protected         = lookup(var, "protected", false),
        masked            = lookup(var, "masked", false),
        environment_scope = lookup(var, "environment_scope", "*"),
      },
      var
    )
  }
}
